Skip to main content

This site requires you to update your browser. Your browsing experience maybe affected by not having the most up to date version.

General Questions /

General questions about getting started with SilverStripe that don't fit in any of the categories above.

Moderators: martimiz, Sean, biapar, Willr, Ingo, swaiba, simon_w

Admin System Browser Support?


Reply


5 Posts   298 Views

Avatar
_Matt

Community Member, 27 Posts

24 January 2014 at 4:15am

Is there any documentation showing what browsers are supported by the admin system?

I've done a bit of hunting and other than vague hints to the effect that "the ajax stuff only works in browsers that support html5", I can't really find anything concrete. Thanks.

Avatar
kinglozzer

Community Member, 166 Posts

24 January 2014 at 5:38am

Hi Matt,

From http://www.silverstripe.org/system-requirements/

"SilverStripe CMS is designed to work well with Firefox 3.0+ and Internet Explorer 7.0+. We aim to provide satisfactory experiences in Apple Safari and Google Chrome. SilverStripe CMS works well across Windows, Linux, and Mac operating systems."

This is slightly out-of-date, though, IE7 is no longer supported in the CMS.

Loz

Avatar
_Matt

Community Member, 27 Posts

24 January 2014 at 5:42am

Awesome thank you - I should have thought to look there, but I just assumed that was talking about server requirements.

Avatar
ajshort

Community Member, 244 Posts

24 January 2014 at 11:09am

http://doc.silverstripe.com/framework/en/installation/server-requirements#client-side-cms-requirements

Avatar
_Matt

Community Member, 27 Posts

24 January 2014 at 9:34pm

Perfect, thank you :)